XmStringCreateLtoR(3Xm)

NAME
XmStringCreateLtoR — a compound string function that creates a compound string.

SYNOPSIS
#include <Xm/Xm.h>

XmString XmStringCreateLtoR (text, charset)
    char    * text;
    XmStringCharSet    charset;

DESCRIPTION
XmStringCreateLtoR creates a compound string with two components: text and a character set. This function imposes the semantic of scanning for \n characters in the text. When one is found, the text up to that point is put into a segment followed by a separator component. No final separator component is appended to the end of the compound string. The direction defaults to left-to-right. This function assumes that the encoding is single octet rather than double octet per character of text.

text
    Specifies a pointer to a null terminated string.

charset
    Specifies the character set identifier to be associated with the given text. This can be XmSTRING_DEFAULT_CHARSET.

RETURN VALUE
Returns a new compound string.

RELATED INFORMATION
XmStringCreate(3Xm).